Page MenuHomePhabricator

Special:AbuseFilter/history should color empty fields with red if changed
Closed, ResolvedPublic

Description

On history, changed fields are shown in red, but this only happens when the field isn't empty. So, for instance, if a filter has no flags and I enable it, the "flags" cell will have a red background; if, instead, the filter is already enabled and I remove all flags, the cell isn't coloured. But since removing stuff still means changing stuff, the cell should be red as well.

Event Timeline

Daimona created this task.Sep 18 2018, 8:23 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 18 2018, 8:23 AM
Daimona moved this task from Backlog to Next on the User-Daimona board.

Change 461965 had a related patch set uploaded (by Daimona Eaytoy; owner: Daimona Eaytoy):
[mediawiki/extensions/AbuseFilter@master] Move changed field styles to TD for history pager

https://gerrit.wikimedia.org/r/461965

Daimona claimed this task.Sep 21 2018, 2:22 PM
Daimona moved this task from Next to Under review on the User-Daimona board.

Change 461965 merged by jenkins-bot:
[mediawiki/extensions/AbuseFilter@master] Move changed field styles to TD for history pager

https://gerrit.wikimedia.org/r/461965

Daimona closed this task as Resolved.Jan 19 2019, 2:29 PM
Daimona removed a project: Patch-For-Review.
Daimona moved this task from Under review to Done on the User-Daimona board.